**5.11.0 (2023-11-02)**
* Added a new action to replace multiple targets with the current mesh selection. This works the same as 'Replace Selected Target With Default Mesh' but with multiple objects from the current selection. Meshes and existing target shapes need to have matching names.
* Fixed a regression of the weightDriver node related to both RBF and vector angle modes.
* Fixed an error occurring when a shape connected to a driver is selected and the driver field still contains the name of a driver of the previously scene.

**5.10.0 (2023-06-28)**
* Updated licensing. Previous licenses need to be updated.
* Minimum supported Maya version is 2020.
* RBF algorithm update for the weightDriver node. This breaks compatibility with previous versions of the node.
* Requires weightDriver 4.0.0 or later.
* Improved interaction for the sculpt compare dragger tool.
* Added a preference setting to define a custom prefix/suffix when splitting target shapes. This also applies to extracting split region maps.
* Added a new action to convert in-between shapes to a shape sequence for export to a game engine.
* Fixed a sculpt compare related issue with Maya versions 2022 and above.
* Fixed some error messages when invoking the sculpt compare dragger tool without a valid mesh.
* Fixed that custom added weightDriver nodes can appear with a doubled identifier.

---

**5.8.0 (2023-06-12)**
* Added support for Maya 2024

---

**5.8.0 (2022-06-01)**
* Added support for Maya 2023
**Changed**
* Improved error message with meshes which have unnecessary intermediate shape nodes.
* Reduced the tolerance for detecting matching poses when working with the RBF solver.
**Fixed**
* The included python modules produce a name clash with default Maya modules.
* rampWeights: Fixed an issue related to an empty deformer component list.
* weightDriver: Fixed the loss of stored data in generic mode after the Active check box has been toggled to temporarily bypass the solver.

---

**5.7.8 (2021-05-28)**
**Fixed**
* Error during exiting edit mode in Maya 2022 if the mesh doesn't have a standard shader applied. (50707001)

---

**5.7.7 (2021-04-09)**
**Fixed**
* Added support for Maya 2022
* Adding new targets to a secondary blend shape node while other targets are active leads to double transformations. (50706001)
* Rotation value problems with drivenSets when working in Maya 2019 and later. (50706002)

---

**5.7.6 (2020-12-01)**
**Fixed**
* Updated the link to the SHAPES main tutorial page.
* When mirroring an RBF solver setup the warning message is too vague when naming conventions or side identifiers are the issue.
* Combo targets get disconnected when manually changing their value with the channel slider.

---

**5.7.5 (2020-11-23)**
**Fixed**
* Creating a new shape with sculpt compare active uses the same frame range as the previously created shape. (50704001)
* Error when adjusting the value of a driven set.  (50704002)
* Driven sets, which are controlled by the RBF solver, don't get connected properly upon rebuilding the setup. (50704003)

---

**5.7.4 (2020-10-15)**
**Fixed**
* After exiting edit mode for non-skin meshes and post-deformation blend shape nodes the entire shape gets applied as the new target instead of only the deltas. (50703001)

---

**5.7.3 (2020-10-13)**
**New**
* Added that only the selected shape/s can be extracted and connected.
* Added a new option to set the current blend shape node as the shape driver.
**Changed**
* Moved the menu items for extracting and connecting shapes to the additional actions menu.
* Renamed the "Edit Mode" button to "Create New" and the "Tweak" button of the channel slider to "Edit".
**Fixed**
* Group attributes are listed when the blend shape node is set as the driver for a direct connection. (50702002)
* A mesh doesn't load if the isHistoricallyInteresting attribute on the blend shape node is not at it's default. (50702001)
* When dragging the slider with multiple shapes selected which are connected only one shape updates. (50702003)
* Fixed a small lag when entering edit mode in some cases. (50702004)
* Fixed a regression that a weight map can only be pasted onto a single target only. (50702005)
* Removed an error when adding a secondary post-deformation blend shape node. (50702006)
* After leaving edit mode on a secondary blend shape node a hidden mesh remains in the scene. (50702007)
* Adding new shapes to a post-deformation blend shape node only works correctly in shot-fix mode. (50702008)

---

**5.7.2 (2020-08-21)**
**New**
* New options for renaming list items with search/replace and prefix/suffix.
* Weight maps will be respected when mirroring, symmetrizing or flippping target shapes.
**Changed**
* SHAPES Brush: Re-introduced support for the legacy viewport.
* SHAPES Brush: Defining the blend-to mesh can be performed through selection order.
* Icons files are not organized in their respective folders due to a Maya module bug on Linux systems.
* Replaced the command-line installer by the drag-and-drop installer.
**Fixed**
* Setting blend shape weights to black on a vertex selection sets the weights to an invalid value for the entire shape. (50701001/50701002)
* Script error upon opening SHAPES after the window has been floating and closed by the default window close button. (50701003)
* Unable to create opposite when the shape is driven by a direct connection with a source attribute carrying a side identifier. (50701004)

---

**5.7.1 (2020-07-06)**
**New**
* Option to keep the mesh connected when adding the selection as a new target.
* Improvements to which attributes of a shape driver node are made available through the UI.

---

**5.7.0 (2020-07-02)**
**New**
* Improved and faster symmetry mapping.
* Added filters to the target list.
* Added that the search for target shapes and drivers can be performed with or without case sensitivity.
* Added the option of a direct connection to the list of available shape drivers.
* New symmetrize button during Edit mode.
* Added a menu item to open the weight or region map folder in the file system.
* Added a right-click menu to the buttons which set each list to a specific size.
* New menu item for the target list to expand all groups.
* Blend shape nodes can be selected as a driver when creating direct connections or set driven keyframes.
**Changed**
* Changes to the weight driver UI with less focus and need for the driver list.
* New combos are created with the multDoubleLinear node instead of the multiplyDivide node.
* Combined the menus 'Add Helper' and 'Additional Actions' into one.
* Several icon updates for consistency.
**Fixed**
* Symmetry mapping crashes with hires meshes on Windows.
* Importing blend shape deltas for selected target shapes imports all shapes from the file if remapping is not enabled.
* It's not possible to remove multiple shape drivers at once from the driver list.
* Error when renaming a driven set.
* Driven sets are not removed properly from the data node when deleted.

---

**5.6.0 (2020-06-08)**
**New**
* Added basic compatibility with the upcoming SHAPES Framework extension.
**Changed**
* The shape range can now be defined with float point values.
**Fixed**
* Some RBF solver attributes of the weight driver node aren't included in the export of the setup.

---

**5.5.2 (2020-03-26)**
**Changed**
* Some improvements when editing secondary blend shape nodes along with a large and mixed history on the mesh.
**Fixed**
* Error when mirroring a pose interpolator setup when the control node is not a joint.

---

**5.5.1 (2020-03-26)**
**New**
* Added support for macOS Catalina.

**Fixed**
* Error when trying to enter Edit mode on a secondary blend shape node when the mesh has non-deformer history.
* Re-installing over an existing installation causes the installer to hang on Windows systems.
* Minor licensing bugfixes.

---

**5.5.0 (2020-03-14)**
**New**
* Added support for Maya 2020.
* New licensing system.
* New installation procedure.
* New menu item in the Maya main menu bar instead of a generated shelf button.
* The accompanying plug-ins are part of the SHAPES installation but reside in their own modules just as they would when installed separately in order to avoid compatibility issues.
* Several fixes for the SHAPES Brush, which is now open source as well.
* All SHAPES related tool commands are now compatible with python.
* Added an auto tolerance option to the symmetry mapping to calculate the tolerance based on the average edge length (this can help the process to find the correct center vertex but also can fail on some meshes and therefore is off by default).
* When loading a scene with SHAPES open or loading a mesh a check is performed if a legacy setup of the ramp weights or weights server node needs to be converted.

**Changed**
* Maya 2017 is the lowest supported version
* The default name of a custom attribute always receives an increment number.
* When creating a combo the involved multiplier nodes are now hidden from the channel box.

**Fixed**
* Creating a shape based on a sculpted overdriven shape doesn't produce the expected result.
* When exporting the setup the weight driver blend curve gets removed even if a rebuild is not performed.
* Nodes without any keyable or visible attributes cannot be used as a shape driver.
* Full length side identifiers are not being identified correctly.
* Error with the extraction of combo shapes.
* Combo sliders are displayed even when more than one combo is active in compare mode
* Unable to create a driven set when no blend shape node exists.
* The SHAPES workspace control doesn't get properly removed at startup.
* Side identifier error when exporting a mirrored sequence.
* JSON weight map files are not supported when importing the blend shape setup.
* Deleting a weights controller doesn't properly check for the type of controller.
* The weights controller doesn't get renamed with the blend shape node.
* The compatible weight driver version is not checked properly.
* Symmetry mapping fails on seemingly symmetrical mesh.
* Issue with propagating a tweak edit when there is more than one combo attached to the shape.
